summaryrefslogtreecommitdiffstats
path: root/xorg
diff options
context:
space:
mode:
Diffstat (limited to 'xorg')
-rwxr-xr-xxorg/X11R7.6/buildx.sh245
-rw-r--r--xorg/X11R7.6/x11_file_list.txt89
2 files changed, 334 insertions, 0 deletions
diff --git a/xorg/X11R7.6/buildx.sh b/xorg/X11R7.6/buildx.sh
new file mode 100755
index 00000000..5495186f
--- /dev/null
+++ b/xorg/X11R7.6/buildx.sh
@@ -0,0 +1,245 @@
+#!/bin/sh
+
+# build.sh: a script for building X11R7.6 X server for use with xrdp
+#
+# Copyright 2011 Jay Sorg Jay.Sorg@gmail.com
+#
+# Authors
+# Jay Sorg Jay.Sorg@gmail.com
+# Laxmikant Rashinkar LK.Rashinkar@gmail.com
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+download_file()
+{
+ file=$1
+
+ cd downloads
+
+ echo "downloading file $file"
+ if [ "$file" = "pixman-0.15.20.tar.bz2" ]; then
+ wget -cq http://ftp.x.org/pub/individual/lib/$file
+ status=$?
+ cd ..
+ return $status
+ elif [ "$file" = "libdrm-2.4.26.tar.bz2" ]; then
+ wget -cq http://dri.freedesktop.org/libdrm/$file
+ status=$?
+ cd ..
+ return $status
+ elif [ "$file" = "MesaLib-7.10.3.tar.bz2" ]; then
+ wget -cq ftp://ftp.freedesktop.org/pub/mesa/7.10.3/$file
+ status=$?
+ cd ..
+ return $status
+ elif [ "$file" = "expat-2.0.1.tar.gz" ]; then
+ wget -cq http://surfnet.dl.sourceforge.net/project/expat/expat/2.0.1/expat-2.0.1.tar.gz
+ status=$?
+ cd ..
+ return $status
+ elif [ "$file" = "freetype-2.4.6.tar.bz2" ]; then
+ wget -cq http://download.savannah.gnu.org/releases/freetype/freetype-2.4.6.tar.bz2
+ status=$?
+ cd ..
+ return $status
+ elif [ "$file" = "xkeyboard-config-2.0.tar.bz2" ]; then
+ cp ../extras/xkeyboard-config-2.0.tar.bz2 .
+ status=$?
+ cd ..
+ return $status
+ else
+ wget -cq $download_url/$file
+ status=$?
+ cd ..
+ return $status
+ fi
+}
+
+remove_modules()
+{
+ if [ -d cookies ]; then
+ rm cookies/*
+ fi
+
+ if [ ! -d build_dir ]; then
+ echo ""
+ echo "build_dir does not exist; nothing to delete"
+ echo ""
+ exit 0
+ fi
+
+ cd build_dir
+
+ while read line
+ do
+ mod_dir=`echo $line | cut -d':' -f2`
+ if [ -d $mod_dir ]; then
+ rm -rf $mod_dir
+ fi
+ done < ../$data_file
+
+ cd ..
+}
+
+make_it()
+{
+ mod_file=$1
+ mod_name=$2
+ mod_args=$3
+
+ count=`expr $count + 1`
+
+ # if a cookie with $mod_name exists...
+ if [ -e cookies/$mod_name ]; then
+ # ...package has already been built
+ return 0
+ fi
+
+ echo ""
+ echo "*** processing module $mod_name ($count of $num_modules) ***"
+ echo ""
+
+ # download file
+ download_file $mod_file
+ if [ $? -ne 0 ]; then
+ echo ""
+ echo "failed to download $mod_file - aborting build"
+ echo ""
+ exit 1
+ fi
+
+ cd build_dir
+
+ # if pkg has not yet been extracted, do so now
+ if [ ! -d $mod_name ]; then
+ echo $mod_file | grep -q tar.bz2
+ if [ $? -eq 0 ]; then
+ tar xjf ../downloads/$mod_file > /dev/null 2>&1
+ else
+ tar xzf ../downloads/$mod_file > /dev/null 2>&1
+ fi
+ if [ $? -ne 0 ]; then
+ echo "error extracting module $mod_name"
+ exit 1
+ fi
+ fi
+
+ # configure module - we only need to do this once
+ cd $mod_name
+ ./configure --prefix=$PREFIX_DIR $mod_args
+ if [ $? -ne 0 ]; then
+ echo "configuration failed for module $mn"
+ exit 1
+ fi
+
+ # make module
+ make
+ if [ $? -ne 0 ]; then
+ echo ""
+ echo "make failed for module $mod_name"
+ echo ""
+ exit 1
+ fi
+
+ # install module
+ make install
+ if [ $? -ne 0 ]; then
+ echo ""
+ echo "make install failed for module $mod_name"
+ echo ""
+ exit 1
+ fi
+
+ cd ../..
+ touch cookies/$mod_name
+ return 0
+}
+
+# this is where we store list of modules to be processed
+data_file=x11_file_list.txt
+
+# this is the default download location for most modules
+download_url=http://www.x.org/releases/X11R7.6/src/everything
+
+num_modules=`cat $data_file | wc -l`
+count=0
+
+##########################
+# program flow starts here
+##########################
+
+if [ $# -lt 1 ]; then
+ echo ""
+ echo "usage: build.sh <installation dir>"
+ echo "usage: build.sh <clean>"
+ echo ""
+ exit 1
+fi
+
+# remove all modules
+if [ "$1" = "clean" ]; then
+ echo "removing source modules"
+ remove_modules
+ exit 0
+fi
+
+export PREFIX_DIR=$1
+export PKG_CONFIG_PATH=$PREFIX_DIR/lib/pkgconfig:$PREFIX_DIR/share/pkgconfig
+
+# prefix dir must exist and be writable
+if [ ! -d $PREFIX_DIR ]; then
+ echo "directory $PREFIX_DIR does not exist - cannot continue"
+ exit 1
+fi
+if [ ! -w $PREFIX_DIR ]; then
+ echo "directory $PREFIX_DIR is not writable - cannot continue"
+ exit 1
+fi
+
+# create a downloads dir
+if [ ! -d downloads ]; then
+ mkdir downloads
+ if [ $? -ne 0 ]; then
+ echo "error creating downloads directory"
+ exit 1
+ fi
+fi
+
+# this is where we do the actual build
+if [ ! -d build_dir ]; then
+ mkdir build_dir
+ if [ $? -ne 0 ]; then
+ echo "error creating build_dir directory"
+ exit 1
+ fi
+fi
+
+# this is where we store cookie files
+if [ ! -d cookies ]; then
+ mkdir cookies
+ if [ $? -ne 0 ]; then
+ echo "error creating cookies directory"
+ exit 1
+ fi
+fi
+
+while read line
+do
+ mod_file=`echo $line | cut -d':' -f1`
+ mod_dir=`echo $line | cut -d':' -f2`
+ mod_args=`echo $line | cut -d':' -f3`
+
+ make_it $mod_file $mod_dir "$mod_args"
+
+done < $data_file
+
diff --git a/xorg/X11R7.6/x11_file_list.txt b/xorg/X11R7.6/x11_file_list.txt
new file mode 100644
index 00000000..ded43d7b
--- /dev/null
+++ b/xorg/X11R7.6/x11_file_list.txt
@@ -0,0 +1,89 @@
+util-macros-1.11.0.tar.bz2 : util-macros-1.11.0 :
+font-adobe-75dpi-1.0.3.tar.bz2 : font-adobe-75dpi-1.0.3 :
+font-adobe-100dpi-1.0.3.tar.bz2 : font-adobe-100dpi-1.0.3 :
+font-adobe-utopia-75dpi-1.0.4.tar.bz2 : font-adobe-utopia-75dpi-1.0.4 :
+font-adobe-utopia-100dpi-1.0.4.tar.bz2 : font-adobe-utopia-100dpi-1.0.4 :
+font-adobe-utopia-type1-1.0.4.tar.bz2 : font-adobe-utopia-type1-1.0.4 :
+font-alias-1.0.3.tar.bz2 : font-alias-1.0.3 :
+font-arabic-misc-1.0.3.tar.bz2 : font-arabic-misc-1.0.3 :
+font-bh-75dpi-1.0.3.tar.bz2 : font-bh-75dpi-1.0.3 :
+font-bh-100dpi-1.0.3.tar.bz2 : font-bh-100dpi-1.0.3 :
+font-bh-lucidatypewriter-75dpi-1.0.3.tar.bz2 : font-bh-lucidatypewriter-75dpi-1.0.3 :
+font-bh-lucidatypewriter-100dpi-1.0.3.tar.bz2 : font-bh-lucidatypewriter-100dpi-1.0.3 :
+font-bh-ttf-1.0.3.tar.bz2 : font-bh-ttf-1.0.3 :
+font-bh-type1-1.0.3.tar.bz2 : font-bh-type1-1.0.3 :
+font-bitstream-75dpi-1.0.3.tar.bz2 : font-bitstream-75dpi-1.0.3 :
+font-bitstream-100dpi-1.0.3.tar.bz2 : font-bitstream-100dpi-1.0.3 :
+font-bitstream-type1-1.0.3.tar.bz2 : font-bitstream-type1-1.0.3 :
+font-cronyx-cyrillic-1.0.3.tar.bz2 : font-cronyx-cyrillic-1.0.3 :
+font-cursor-misc-1.0.3.tar.bz2 : font-cursor-misc-1.0.3 :
+font-daewoo-misc-1.0.3.tar.bz2 : font-daewoo-misc-1.0.3 :
+font-dec-misc-1.0.3.tar.bz2 : font-dec-misc-1.0.3 :
+font-ibm-type1-1.0.3.tar.bz2 : font-ibm-type1-1.0.3 :
+font-isas-misc-1.0.3.tar.bz2 : font-isas-misc-1.0.3 :
+font-jis-misc-1.0.3.tar.bz2 : font-jis-misc-1.0.3 :
+font-micro-misc-1.0.3.tar.bz2 : font-micro-misc-1.0.3 :
+font-misc-cyrillic-1.0.3.tar.bz2 : font-misc-cyrillic-1.0.3 :
+font-misc-ethiopic-1.0.3.tar.bz2 : font-misc-ethiopic-1.0.3 :
+font-misc-meltho-1.0.3.tar.bz2 : font-misc-meltho-1.0.3 :
+font-misc-misc-1.1.2.tar.bz2 : font-misc-misc-1.1.2 :
+font-mutt-misc-1.0.3.tar.bz2 : font-mutt-misc-1.0.3 :
+font-schumacher-misc-1.1.2.tar.bz2 : font-schumacher-misc-1.1.2 :
+font-screen-cyrillic-1.0.4.tar.bz2 : font-screen-cyrillic-1.0.4 :
+font-sony-misc-1.0.3.tar.bz2 : font-sony-misc-1.0.3 :
+font-sun-misc-1.0.3.tar.bz2 : font-sun-misc-1.0.3 :
+font-util-1.2.0.tar.bz2 : font-util-1.2.0 :
+font-winitzki-cyrillic-1.0.3.tar.bz2 : font-winitzki-cyrillic-1.0.3 :
+font-xfree86-type1-1.0.4.tar.bz2 : font-xfree86-type1-1.0.4 :
+xf86driproto-2.1.0.tar.bz2 : xf86driproto-2.1.0 :
+dri2proto-2.3.tar.bz2 : dri2proto-2.3 :
+glproto-1.4.12.tar.bz2 : glproto-1.4.12 :
+xdriinfo-1.0.4.tar.bz2 : xdriinfo-1.0.4 :
+randrproto-1.3.2.tar.bz2 : randrproto-1.3.2 :
+renderproto-0.11.1.tar.bz2 : renderproto-0.11.1 :
+fixesproto-4.1.2.tar.bz2 : fixesproto-4.1.2 :
+damageproto-1.2.1.tar.bz2 : damageproto-1.2.1 :
+xcmiscproto-1.2.1.tar.bz2 : xcmiscproto-1.2.1 :
+xextproto-7.1.2.tar.bz2 : xextproto-7.1.2 :
+xproto-7.0.20.tar.bz2 : xproto-7.0.20 :
+xtrans-1.2.6.tar.bz2 : xtrans-1.2.6 :
+xf86vidmodeproto-2.3.tar.bz2 : xf86vidmodeproto-2.3 :
+xf86bigfontproto-1.2.0.tar.bz2 : xf86bigfontproto-1.2.0 :
+scrnsaverproto-1.2.1.tar.bz2 : scrnsaverproto-1.2.1 :
+bigreqsproto-1.1.1.tar.bz2 : bigreqsproto-1.1.1 :
+resourceproto-1.1.1.tar.bz2 : resourceproto-1.1.1 :
+fontsproto-2.1.1.tar.bz2 : fontsproto-2.1.1 :
+inputproto-2.0.1.tar.bz2 : inputproto-2.0.1 :
+xf86dgaproto-2.1.tar.bz2 : xf86dgaproto-2.1 :
+videoproto-2.3.1.tar.bz2 : videoproto-2.3.1 :
+compositeproto-0.4.2.tar.bz2 : compositeproto-0.4.2 :
+recordproto-1.14.1.tar.bz2 : recordproto-1.14.1 :
+xineramaproto-1.2.tar.bz2 : xineramaproto-1.2 :
+libICE-1.0.7.tar.bz2 : libICE-1.0.7 :
+libSM-1.2.0.tar.bz2 : libSM-1.2.0 :
+libXau-1.0.6.tar.bz2 : libXau-1.0.6 :
+kbproto-1.0.5.tar.bz2 : kbproto-1.0.5 :
+libXdmcp-1.1.0.tar.bz2 : libXdmcp-1.1.0 :
+libX11-1.4.0.tar.bz2 : libX11-1.4.0 :
+libXt-1.0.9.tar.bz2 : libXt-1.0.9 :
+libxkbfile-1.0.7.tar.bz2 : libxkbfile-1.0.7 :
+libfontenc-1.1.0.tar.bz2 : libfontenc-1.1.0 :
+libXfont-1.4.3.tar.bz2 : libXfont-1.4.3 :
+libXext-1.2.0.tar.bz2 : libXext-1.2.0 :
+libXmu-1.1.0.tar.bz2 : libXmu-1.1.0 :
+libXxf86vm-1.1.1.tar.bz2 : libXxf86vm-1.1.1 :
+libXpm-3.5.9.tar.bz2 : libXpm-3.5.9 :
+libXaw-1.0.8.tar.bz2 : libXaw-1.0.8 :
+libpciaccess-0.12.0.tar.bz2 : libpciaccess-0.12.0 :
+libXdamage-1.1.3.tar.bz2 : libXdamage-1.1.3 :
+expat-2.0.1.tar.gz : expat-2.0.1 :
+pixman-0.15.20.tar.bz2 : pixman-0.15.20 :
+libdrm-2.4.26.tar.bz2 : libdrm-2.4.26 :
+MesaLib-7.10.3.tar.bz2 : Mesa-7.10.3 :
+freetype-2.4.6.tar.bz2 : freetype-2.4.6 :
+mkfontdir-1.0.6.tar.bz2 : mkfontdir-1.0.6 :
+xkbcomp-1.2.0.tar.bz2 : xkbcomp-1.2.0 :
+xorg-server-1.9.3.tar.bz2 : xorg-server-1.9.3 :
+applewmproto-1.4.1.tar.bz2 : applewmproto-1.4.1 :
+bdftopcf-1.0.3.tar.bz2 : bdftopcf-1.0.3 :
+xkeyboard-config-2.0.tar.bz2 : xkeyboard-config-2.0 :